## maemo-service-handler 0.2.0

=== debian/changelog ===
maemo-service-handler (0.2.0) unstable; urgency=low

  * Added real implementation for execution of commands as root
  * Added more detailed description to debian/control

 -- Tuomas Kulve <tuomas@kulve.fi>  Fri, 26 Jan 2007 19:11:48 +0200

maemo-service-handler (0.1.1) unstable; urgency=low

  * Added CPA implementation and gtkmm dependency

 -- Tuomas Kulve <tuomas@kulve.fi>  Sun, 21 Jan 2007 13:12:10 +0200

maemo-service-handler (0.1.0) unstable; urgency=low

  * First version of the kicker binary

 -- Tuomas Kulve <tuomas@kulve.fi>  Sat, 20 Jan 2007 16:36:03 +0200
