=== debian/control ===
Source: maemo-service-handler
Section: user/tools
Priority: optional
Maintainer: Tuomas Kulve <tuomas@kulve.fi>
Build-Depends: debhelper (>= 4.0.0), hildon-control-panel-dev, libosso-dev, libgtkmm-2.4-dev
Standards-Version: 3.6.0

Package: maemo-service-handler
Architecture: any
Depends: ${shlibs:Depends}
Section: user/tools
Description: Control Panel plugin for init.d scripts.
 The package includes a Control Panel plugin for user
 interaction and a suid binary for executing orders
 from the CP plugin as root. 
 .
 Starting and stopping is done by executing:
 invoke-rc.d service_name start/stop
 .
 Inserting to and removing from boot sequence is done by
 executing:
 update-rc.d [-f] service_name defaults/remove
